org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmPropertyImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl
  - - org.apache.olingo.odata2.client.core.edm.Impl.EdmTypedImpl
    - - org.apache.olingo.odata2.client.core.edm.Impl.EdmElementImpl
      - - org.apache.olingo.odata2.client.core.edm.Impl.EdmPropertyImpl

- All Implemented Interfaces:
    EdmAnnotatable, EdmElement, EdmMappable, EdmNamed, EdmProperty, EdmTyped
  Direct Known Subclasses:
    EdmComplexPropertyImpl, EdmPropertyRefImpl, EdmSimplePropertyImpl

      public abstract class EdmPropertyImpl
      extends EdmElementImpl
      implements EdmProperty, EdmAnnotatable

  Objects of this class represent EdmProperty

- - ### Field Summary

    - ### Fields inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmTypedImpl

      `edmType, multiplicity, typeName`

    - ### Fields inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl

      `edm, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmPropertyImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmAnnotations` | `getAnnotations()` Get all annotations applied to an EDM element
    `EdmCustomizableFeedMappings` | `getCustomizableFeedMappings()` Get customizable feed mappings for this property
    `EdmFacets` | `getFacets()` Get the facet information for an element
    `String` | `getMimeType()` Get the related mime type for the property
    `void` | `setAnnotations(EdmAnnotations annotations)`
    `void` | `setCustomizableFeedMappings(EdmCustomizableFeedMappings customizableFeedMappings)`
    `void` | `setDocumentation(EdmDocumentation documentation)`
    `void` | `setFacets(EdmFacets facets)`
    `void` | `setMapping(Mapping mapping)`
    `void` | `setMimeType(String mimeType)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmElementImpl

      `getMapping, setMapping`

    - ### Methods inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmTypedImpl

      `getMultiplicity, getType, setEdmType, setMultiplicity, setTypeName`

    - ### Methods inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl

      `getName, setEdm, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmProperty

      `isSimple`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmMappable

      `getMapping`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmTyped

      `getMultiplicity, getType`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmNamed

      `getName`

- - ### Constructor Detail

    - #### EdmPropertyImpl

          public EdmPropertyImpl()

  - ### Method Detail

    - #### getFacets

          public EdmFacets getFacets()

      Description copied from interface: `EdmElement`
      Get the facet information for an element
      Specified by:
        `getFacets` in interface `EdmElement`
      Overrides:
        `getFacets` in class `EdmElementImpl`
      Returns:
        `EdmFacets`

    - #### setFacets

          public void setFacets(EdmFacets facets)

      Overrides:
        `setFacets` in class `EdmElementImpl`

    - #### setMapping

          public void setMapping(Mapping mapping)

    - #### setDocumentation

          public void setDocumentation(EdmDocumentation documentation)

    - #### setCustomizableFeedMappings

          public void setCustomizableFeedMappings(EdmCustomizableFeedMappings customizableFeedMappings)

    - #### setMimeType

          public void setMimeType(String mimeType)

    - #### getCustomizableFeedMappings

          public EdmCustomizableFeedMappings getCustomizableFeedMappings()
                                                                  throws EdmException

      Description copied from interface: `EdmProperty`
      Get customizable feed mappings for this property
      Specified by:
        `getCustomizableFeedMappings` in interface `EdmProperty`
      Returns:
        `EdmCustomizableFeedMappings`
      Throws:
        `EdmException`

    - #### setAnnotations

          public void setAnnotations(EdmAnnotations annotations)

    - #### getMimeType

          public String getMimeType()
                             throws EdmException

      Description copied from interface: `EdmProperty`
      Get the related mime type for the property
      Specified by:
        `getMimeType` in interface `EdmProperty`
      Returns:
        mime type as String
      Throws:
        `EdmException`

    - #### getAnnotations

          public EdmAnnotations getAnnotations()
                                        throws EdmException

      Description copied from interface: `EdmAnnotatable`
      Get all annotations applied to an EDM element
      Specified by:
        `getAnnotations` in interface `EdmAnnotatable`
      Returns:
        `EdmAnnotations` never null
      Throws:
        `EdmException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `EdmElementImpl`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.